#pragma once

#include <QMainWindow>
#include <QTextEdit>

#include "PainterWidget.h"

class MainWindow : public QMainWindow {
  Q_OBJECT
private:
  // Menu "File"
  QAction *actFileOpen,
          *actFileExit;
  // Menu "View"
  QAction *actViewToolbar,
          *actViewStatusbar;
  // Menu "Help"
  QAction *actHelpAbout;
  PainterWidget *painterWidget;
  QToolBar *toolBar;
  QStatusBar *statusBar;
  QTextEdit *log;
public:
  MainWindow();
private:
  void InitActions();
  void InitMenuBar();
  void InitToolBar();
  void InitStatusBar();
signals:

public slots:
  void OnMenuFileOpen();
  void OnMenuFileExit();
  void OnMenuViewToolbar();
  void OnMenuViewStatusbar();
  void OnMenuHelpAbout();
};
